### Method

# Gimp VectorLayer set_stroke_width_unit

since: 3.2

#### Declaration [src]

    gboolean
    gimp_vector_layer_set_stroke_width_unit (
      GimpVectorLayer* layer,
      GimpUnit* unit
    )

#### Description [src]

Set the stroke width unit of a vector layer.

This procedure sets the stroke width unit in a vector layer.

Available since: 3.2

#### Parameters

`unit`

  Type: `GimpUnit`

  The stroke width unit.

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

TRUE on success.